Bug 11701 - Пакет давно не пересобирался
: Пакет давно не пересобирался
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xli)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 11699
  Show dependency tree
 
Reported: 2007-05-05 20:33 by
Modified: 2008-09-10 13:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-05 20:33:29
Пакет давно не пересобирался и содержит файлы в устаревшем месте
# rpm -qf /usr/X11R6/bin/xli
xli-1.17.0-alt6
------- Comment #1 From 2007-05-08 10:05:59 -------
готов подарить этот пакет.
------- Comment #2 From 2007-05-09 00:27:42 -------
А он вообще имеет практическую пользу?
кроме
$ sudo rpm -e xli
error: removing these packages would break dependencies:
        xli is needed by xscreensaver-5.01-alt1
?
------- Comment #3 From 2008-08-10 17:18:47 -------
На одной из платформ с Сизифом от 2008-07-31 xli регулярно падает
(ровно каждый второй запуск).
При попытке разбирательства выяснилось, что пересобранный в указанном Сизифе
xli больше не падает.

Вызовы непересобранного xli выглядят так:
$
$ xli -onroot -gamma 2.20 -border Black -center /opt/Files/brain_transp.png
/opt/Files/brain_transp.png is a 1024x768 8 bit deep RGB PNG image with an
alpha channel, background = #ffffff
Modification time: 2007/1/17 08:17:59  Clipping image......done
  Building XImage...done
$
$ xli -onroot -gamma 2.20 -border Black -center /opt/Files/brain_transp.png
/opt/Files/brain_transp.png is a 1024x768 8 bit deep RGB PNG image with an
alpha channel, background = #ffffff
Modification time: 2007/1/17 08:17:59  Clipping image......done
An internal error (SEGV) has occurred. Last function was newImage.
If you would like to file a bug report, please send email to smar@reptiles.org
with a description of how you triggered the bug, the output of xli
before the failure, and the following information:

********************************************************************************
xli Version 1.17
Server: The X.Org Foundation Version 10402000
Depths and visuals supported:
24: TrueColor DirectColor TrueColor TrueColor TrueColor TrueColor TrueColor
TrueColor TrueColor TrueColor TrueColor TrueColor TrueColor TrueCol
or TrueColor TrueColor TrueColor TrueColor TrueColor TrueColor TrueColor
TrueColor TrueColor TrueColor TrueColor TrueColor TrueColor TrueColor 
TrueColor DirectColor DirectColor DirectColor DirectColor DirectColor
DirectColor DirectColor DirectColor DirectColor DirectColor DirectColor D
irectColor DirectColor DirectColor DirectColor DirectColor DirectColor
DirectColor DirectColor DirectColor DirectColor DirectColor DirectColor 
DirectColor DirectColor DirectColor DirectColor
 1:
 4:
 8:
15:
16:
32:
********************************************************************************

If you run xli again with the -dumpcore flag, then it will core dump
so you can investigate the problem yourself.

И так далее -- работает ровно через раз.

Если это нужно/интересно, могу предоставить любую информацию.
Пока попробую минимизировать ситуацию и, может, всё-таки разобраться.
------- Comment #4 From 2008-09-10 13:18:01 -------
fixed